%define name   mangler
%define version 1.2.5
%define release %mkrel 2
%define develname %{name}-devel 

Summary: Mangler is an open source VOIP client
Summary(de): Mangler ist ein OpenSource VOIP Klient
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Networking/Chat
License: GPLv3
URL:	 http://www.mangler.org/
Source0: http://www.mangler.org/%{name}-%{version}.tar.xz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}espeak-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gsm-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}opus-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
#-------------------------------------------------
Requires: gsm
Obsoletes:  %name < %version


%description
Mangler is an open source VOIP client capable of connecting to Ventrilo 3.x servers. 
It is capable of performing almost all standard user functionality found in a Windows 
Ventrilo client.


%description -l de
Mangler ist ein OpenSource VOIP Klient, der dazu fähig ist sich mit Ventrilo 3.x Servern
zu verbinden. Er ist dazu fähig fast alle Standardbenutzerfunktionalitäten zu bieten,
die auch ein Windows Ventrilo Klient hat.

%package -n %{develname}
Summary:	Header files and static library for %{name}
Summary(de):	Header-Dateien und statische Bibliotheken für %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}


%description -n %{develname}
Header files and static library for %{name}.

%description -n %{develname} -l de
Header-Dateien und statische Bibliotheken für %{name}

%prep
%setup -q 


%build
%configure2_5x --disable-static
     
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu-entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Mangler
GenericName=VOIP Client
Comment=Voice chat on Ventrilo 3.x servers
Comment[de]=Sprachchat auf Ventrilo 3.x Servern
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=GTK;Network;X-MandrivaLinux-Internet-InstantMessaging;
EOF

#remove
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/*.svg

#icon
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

#drop this
rm %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files 
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/libventrilo3.so.*
%{_mandir}/man1/%{name}.1.bz2

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/libventrilo3.so
%{_includedir}/ventrilo3.h


%changelog
* Sun Apr 20 2014 bb <bb> 1.2.5-2pclos2014
- rebuild with disable static
- add br espeak-devel

* Sun Apr 20 2014 bb <bb> 1.2.5-1pclos2014
- update

* Mon Aug 06 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.4-1pclos2012
- 1.2.4
- added german summaries, description and comment in desktop file
- added %{_lib} macros
- added if for BR libgsm

* Thu Jul 01 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- 1.2.0

* Fri Mar 26 2010 Texstar <texstar at gmail.com> 1.0.1-2pclos2010
- add BR libgsm1-devel

* Thu Mar 25 2010 slick50 <lxgator@gmail.com> 1.0.1-1pclos2010
-initial pkg
